# IRfSnapperSet Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | CreatePositionSnappingManager (BSTR szSnapperName, IRsNode *pView, IRsObjectList *pObjectList, IRsPositionSnappingManager **ppSnapManager)
HRESULT | CreateRotationSnappingManager (BSTR szSnapperName, IRsNode *pView, IRsObjectList *pObjectList, IRsRotationSnappingManager **ppSnapManager)
HRESULT | CreateScaleSnappingManager (BSTR szSnapperName, IRsNode *pView, IRsObjectList *pObjectList, IRsScaleSnappingManager **ppSnapManager)

## Detailed Description

Snapper function set provides Rosetta snapping functionality.

## Member Function Documentation

HRESULT IRfSnapperSet::CreatePositionSnappingManager | ( | BSTR | szSnapperName,
|  | IRsNode * | pView,
|  | IRsObjectList * | pObjectList,
|  | IRsPositionSnappingManager ** | ppSnapManager |
| ) |  |  |

Create position snapping manager.

Parameters:

  | szSnapperName | [in] Snapping context stored inside /Preferences/Snapping encapsulator.
  | pView | [in] View for which snapping will be calculated.
  | ppSnapManager | [out, retval] Created position snapping manager.

Returns:
  S_OK if succeeded.

HRESULT IRfSnapperSet::CreateRotationSnappingManager | ( | BSTR | szSnapperName,
|  | IRsNode * | pView,
|  | IRsObjectList * | pObjectList,
|  | IRsRotationSnappingManager ** | ppSnapManager |
| ) |  |  |

Create rotation snapping manager.

Parameters:

  | szSnapperName | [in] Snapping context stored inside /Preferences/Snapping encapsulator.
  | pView | [in] View for which snapping will be calculated.
  | ppSnapManager | [out, retval] Created rotation snapping manager.

Returns:
  S_OK if succeeded.

HRESULT IRfSnapperSet::CreateScaleSnappingManager | ( | BSTR | szSnapperName,
|  | IRsNode * | pView,
|  | IRsObjectList * | pObjectList,
|  | IRsScaleSnappingManager ** | ppSnapManager |
| ) |  |  |

Create scale snapping manager.

Parameters:

  | szSnapperName | [in] Snapping context stored inside /Preferences/Snapping encapsulator.
  | pView | [in] View for which snapping will be calculated.
  | ppSnapManager | [out, retval] Created scale snapping manager.

Returns:
  S_OK if succeeded.